This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316976 - Built status report in Satellite 6
Built status report in Satellite 6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.1.5
All Linux
high Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 10:17 EST by Komal
Modified: 2017-03-10 10:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-10 10:12:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2191281 None None None 2016-03-11 10:18 EST

  None (edit)
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:32:58 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Marek Hulan 2017-03-10 10:12:19 EST
In Satellite 6.2, it's possible to query specific sub status of a host. You can simply do a call like

> curl https://satellite62.example.com/api/v2/hosts/an.example.com/status/build

and you would get result such as

> {"status_label":"Pending installation","status":1}

Note that the build at the end of the url is status type you're interested in, it can be one of global, configuration, build, errata, subscription, compliance (based on what statuses are available for the host). The attribute status provides number representation which is useful while scripting, the status_label is human readable status representation.

I'm closing this as current release, please let me know if I missed something or reopen right away.

Note You need to log in before you can comment on or make changes to this bug.